#include <algorithm>
#include <iostream>
#include <string>
#include <unordered_map>

int main(){

  std::cout << std::boolalpha << std::endl;

  auto even= [](std::pair<int,std::string> p ){ return p.first % 2 == 0;};

  std::unordered_map<int,std::string> myUnordMap{{1,"one"},{2,"two"},{3,"three"},{4,"four"},{5,"five"}};

  std::cout << "std::any_of(myUnordMap.begin(),myUnordMap.end(),even): " << std::any_of(myUnordMap.begin(),myUnordMap.end(),even) << std::endl;
  std::cout << "std::all_of(myUnordMap.begin(),myUnordMap.end(),even): " << std::all_of(myUnordMap.begin(),myUnordMap.end(),even) << std::endl;
  std::cout << "std::none_of(myUnordMap.begin(),myUnordMap.end(),even: " << std::none_of(myUnordMap.begin(),myUnordMap.end(),even) << std::endl;

 std::cout << std::endl;

}
